Subject: [OSPF] Stephen Farrell's No Objection on draft-ietf-ospf-ospfv3-autoconfig-13: (with COMMENT)

From: "Stephen Farrell" <[email-masked]>
Date: Tue, 03 Feb 2015 06:36:51 -0800

Stephen Farrell has entered the following ballot position for
draft-ietf-ospf-ospfv3-autoconfig-13: No Objection

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to http://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
http://datatracker.ietf.org/doc/draft-ietf-ospf-ospfv3-autoconfig/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

Thanks for including section 4 - I was wondering if you
would before I read this:-)

- section 4: just saying "password" is likely to lead to
password == password or password == 123456. Why not advise
that a long higher entropy secret needs to be used?

- section 4: I hate to do this to you, but if by saying
"password" you also mean "entered by a human and likely a
human memorable secret" then aren't there i18n
considerations? Non-ascii characters in there are otherwise
likely to lead to a lack of interop. If you wanted my advice
as to how to avoid that, I'd go for RECOMMENDING that the
secret be entered as ascii-hex digits and that 32 such
digits be used if possible. 

- section 8: What "stronger" auth trailer do you mean in the
last para? The weakness is that a password is used - the
rest (e.g. hmac-sha-256 vs. hmac-sha-1) is in the noise.
Maybe re-phrase.